Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.ec2.model
Class VolumeAttachment

    java.lang.Object
      com.amazonaws.services.ec2.model.VolumeAttachment

    public class VolumeAttachment

extends Object

Specifies the details of a how an EC2 EBS volume is attached to an instance.

Constructor Summary
`VolumeAttachment()`

Method Summary
`Date` | `getAttachTime()` Timestamp when this attachment initiated.
`Boolean` | `getDeleteOnTermination()` `
`String` | `getDevice()` How the device is exposed to the instance (e.g., /dev/sdh).
`String` | `getInstanceId()`
`String` | `getState()` Constraints: Allowed Values: attaching, attached, detaching, detached
`String` | `getVolumeId()`
`Boolean` | `isDeleteOnTermination()` `
`void` | `setAttachTime(Date attachTime)` Timestamp when this attachment initiated.
`void` | `setDeleteOnTermination(Boolean deleteOnTermination)` `
`void` | `setDevice(String device)` How the device is exposed to the instance (e.g., /dev/sdh).
`void` | `setInstanceId(String instanceId)`
`void` | `setState(String state)` Constraints: Allowed Values: attaching, attached, detaching, detached
`void` | `setVolumeId(String volumeId)`
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`VolumeAttachment` | `withAttachTime(Date attachTime)` Timestamp when this attachment initiated.
`VolumeAttachment` | `withDeleteOnTermination(Boolean deleteOnTermination)` `
`VolumeAttachment` | `withDevice(String device)` How the device is exposed to the instance (e.g., /dev/sdh).
`VolumeAttachment` | `withInstanceId(String instanceId)` Returns a reference to this object so that method calls can be chained together.
`VolumeAttachment` | `withState(String state)` Returns a reference to this object so that method calls can be chained together.
`VolumeAttachment` | `withVolumeId(String volumeId)` Returns a reference to this object so that method calls can be chained together.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### VolumeAttachment

    public VolumeAttachment()

Method Detail

### getVolumeId

    public String getVolumeId()

  Returns:

### setVolumeId

    public void setVolumeId(String volumeId)

  Parameters:
    `volumeId` -

### withVolumeId

    public VolumeAttachment withVolumeId(String volumeId)

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `volumeId` -
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getInstanceId

    public String getInstanceId()

  Returns:

### setInstanceId

    public void setInstanceId(String instanceId)

  Parameters:
    `instanceId` -

### withInstanceId

    public VolumeAttachment withInstanceId(String instanceId)

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `instanceId` -
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getDevice

    public String getDevice()

  How the device is exposed to the instance (e.g., /dev/sdh).

  Returns:
    How the device is exposed to the instance (e.g., /dev/sdh).

### setDevice

    public void setDevice(String device)

  How the device is exposed to the instance (e.g., /dev/sdh).

  Parameters:
    `device` - How the device is exposed to the instance (e.g., /dev/sdh).

### withDevice

    public VolumeAttachment withDevice(String device)

  How the device is exposed to the instance (e.g., /dev/sdh).

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `device` - How the device is exposed to the instance (e.g., /dev/sdh).
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getState

    public String getState()

  Constraints:
  Allowed Values: attaching, attached, detaching, detached

  Returns:
  See Also:
    `VolumeAttachmentState`

### setState

    public void setState(String state)

  Constraints:
  Allowed Values: attaching, attached, detaching, detached

  Parameters:
    `state` -
  See Also:
    `VolumeAttachmentState`

### withState

    public VolumeAttachment withState(String state)

  Returns a reference to this object so that method calls can be chained together.

  Constraints:
  Allowed Values: attaching, attached, detaching, detached

  Parameters:
    `state` -
  Returns:
    A reference to this updated object so that method calls can be chained together.
  See Also:
    `VolumeAttachmentState`

### getAttachTime

    public Date getAttachTime()

  Timestamp when this attachment initiated.

  Returns:
    Timestamp when this attachment initiated.

### setAttachTime

    public void setAttachTime(Date attachTime)

  Timestamp when this attachment initiated.

  Parameters:
    `attachTime` - Timestamp when this attachment initiated.

### withAttachTime

    public VolumeAttachment withAttachTime(Date attachTime)

  Timestamp when this attachment initiated.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `attachTime` - Timestamp when this attachment initiated.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### isDeleteOnTermination

    public Boolean isDeleteOnTermination()

  `

  Whether this volume will be deleted or not when the associated instance is terminated.

  Returns:
    `

    Whether this volume will be deleted or not when the associated instance is terminated.

### setDeleteOnTermination

    public void setDeleteOnTermination(Boolean deleteOnTermination)

  `

  Whether this volume will be deleted or not when the associated instance is terminated.

  Parameters:
    `deleteOnTermination` - `

    Whether this volume will be deleted or not when the associated instance is terminated.

### withDeleteOnTermination

    public VolumeAttachment withDeleteOnTermination(Boolean deleteOnTermination)

  `

  Whether this volume will be deleted or not when the associated instance is terminated.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `deleteOnTermination` - `

    Whether this volume will be deleted or not when the associated instance is terminated.

  Returns:
    A reference to this updated object so that method calls can be chained together.

### getDeleteOnTermination

    public Boolean getDeleteOnTermination()

  `

  Whether this volume will be deleted or not when the associated instance is terminated.

  Returns:
    `

    Whether this volume will be deleted or not when the associated instance is terminated.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.